Provide more detailed information in the protected page notice
Closed, ResolvedPublic

Description

Author: sjekjr

Description:
Make it more clear than it is now who applied protection when, and what their protection-summary was. pull this information into the notices listed in bugs 6176,6177,6178. Indicate this information on the discussion page, and on the edit page when a user tries to edit.

"User:JoeR protected this page on <date> with [no comment|the comment <edit summary>].
[This was the first time the page has been protected|Previous protections of the page: <prot log list>]"


Version: unspecified
Severity: enhancement

bzimport added a project: MediaWiki-Interface.Via ConduitNov 21 2014, 9:20 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz6179.
bzimport created this task.Via LegacyJun 3 2006, 2:16 AM
bzimport added a comment.Via ConduitJun 3 2006, 2:18 AM

sjekjr wrote:

Feh. The meaning gets through...

bzimport added a comment.Via ConduitJun 8 2006, 12:45 PM

robchur wrote:

Making this a more generic request; parameters can be added to the various
"warning, page is protected" messages to achieve this.

bzimport added a comment.Via ConduitJun 23 2007, 10:13 PM

robchur wrote:

*** Bug 10347 has been marked as a duplicate of this bug. ***

Tgr added a comment.Via ConduitSep 15 2007, 10:20 AM

Adding username, reason and duration parameters to MediaWiki:Protectedpagetext would be a good start.

werdna added a comment.Via ConduitSep 15 2007, 10:35 AM

It's fairly difficult to do this at present - as the applying user and reason are stored in the logging table, rather than in the page_restrictions table. Duration could be done, perhaps, but it seems a little odd to include it and not anything else - it would make more sense to link users to the protection log.

bzimport added a comment.Via ConduitSep 15 2007, 6:03 PM

chemicalbit wrote:

Adding username, reason and duration parameters

Furthermore, if point out the reason may be usefull, I can't see why topoint out the username (do you mean the username of the user who has protected the page, don't you?)

Pointing out duration parameter, may come out to be a double-edged weapon. ("Make you ready! On day yyyy-mm-dd you too can join the the edit-war that now is -alas- blocked")

bzimport added a comment.Via ConduitOct 11 2007, 9:14 AM

sjekjr wrote:

Listing protection duration would be a great start. A link to the protection log would be a good addition. The duration matters because otherwise most visitors will assume all protection is forever -- when this is explicitly not the point of almost any protection.

bzimport added a comment.Via ConduitMar 2 2008, 2:43 AM

oysterguitarist wrote:

(In reply to comment #8)
Instead of a link to the protection log , you could add the protection log summaries on the page itself.

aaron added a comment.Via ConduitSep 5 2008, 10:47 PM

Fixed in r40509

Tobias added a comment.Via ConduitSep 20 2008, 7:40 AM

This only works when the user has the necessary permissions to edit the page, right? It'd be nice to also include the log, when the user is not allowed to edit the page, for example when a non-sysop tries to edit http://en.wikipedia.org/wiki/Main page?action=edit

brion added a comment.Via ConduitOct 19 2008, 11:55 PM

Reverted for now in r42235.

The last log entry a) may not be very clear and b) contains a lot of technical crap that clutters the UI.

Nemo_bis added a comment.Via ConduitNov 3 2012, 9:44 AM

Fixed ages ago.

(In reply to comment #11)

This only works when the user has the necessary permissions to edit the page,
right? It'd be nice to also include the log, when the user is not allowed to
edit the page, for example when a non-sysop tries to edit
http://en.wikipedia.org/wiki/Main page?action=edit

This still applies, though.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.